### Method

# Ide HighlightEngine get_highlighter

#### Declaration

    IdeHighlighter*
    ide_highlight_engine_get_highlighter (
      IdeHighlightEngine* self
    )

#### Description

Gets the IdeHighlightEngine:highlighter property.

Available since: | 3.32

Gets property | `Ide.HighlightEngine:highlighter`

#### Return value

Returns: | `IdeHighlighter`
| An `IdeHighlighter`.
| The data is owned by the instance.